/**Begin D:\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\BDM_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDM_RISK_BLACK') 
 CREATE TABLE T_BDM_RISK_BLACK (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTAXNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FEPNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCASENATURE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATER BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDM_RISK_CONFIG') 
 CREATE TABLE T_BDM_RISK_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX BIGINT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX BIGINT DEFAULT 0 NOT NULL,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINTENSITY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRANGE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FHEADSELECTNAMES NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FHEADSELECTKEYS NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FITEMSELECTNAMES NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FITEMSELECTKEYS NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FSCOPEUNIT NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSCOPESTARTVALUE BIGINT DEFAULT 0 NOT NULL,
FSCOPEENDVALUE BIGINT DEFAULT 0 NOT NULL,
FFILTER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFILTER_TAG NCLOB,
FHEADSELECTFLAG CHAR(1) DEFAULT ' ' NOT NULL,
FITEMSELECTFLAG CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BDM_RISK_CONFIG_L') 
 CREATE TABLE T_BDM_RISK_CONFIG_L (
FPKID NVARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\pdm\PDM_UPGRADE_1.1\PDM_UPGRADE\pdm1\BDM_table.sql **/
